<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
	xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:orientation="vertical"
	android:padding="10dp">

	<LinearLayout
		xmlns:app="http://schemas.android.com/apk/res-auto"
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:orientation="vertical"
		android:focusable="true"
		android:focusableInTouchMode="true">

		<TextView
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:id="@+id/activitymainTextView2"
			style="@style/columnTitleStyle"/>

		<LinearLayout
			android:orientation="horizontal"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:gravity="center_vertical">

			<EditText
				android:layout_width="0dp"
				android:ems="10"
				android:layout_height="wrap_content"
				android:id="@+id/activitymainEditText1"
				android:layout_weight="1.0"
				android:singleLine="true"
				android:imeOptions="actionDone"
				style="@style/contentEditBoxStyle"/>

			<Button
				android:layout_width="40dp"
				android:layout_height="40dp"
				android:text="!"
				android:onClick="onRegExp"/>

		</LinearLayout>

		<TextView
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:id="@+id/activitymainTextView3"
			style="@style/columnTitleStyle"/>

		<LinearLayout
			android:orientation="horizontal"
			android:layout_width="match_parent"
			android:layout_height="wrap_content">

			<EditText
				android:layout_width="0dp"
				android:ems="10"
				android:layout_height="wrap_content"
				android:layout_weight="1.0"
				android:singleLine="true"
				android:imeOptions="actionDone"
				android:id="@+id/activitymainEditText3"
				style="@style/contentEditBoxStyle"/>

			<Button
				android:layout_width="40dp"
				android:layout_height="40dp"
				android:text="! $"
				android:onClick="onRegExpRewrite"/>

		</LinearLayout>

		<TextView
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:id="@+id/activitymainTextView5"
			style="@style/columnTitleStyle"/>

		<LinearLayout
			android:orientation="horizontal"
			android:layout_width="match_parent"
			android:layout_height="wrap_content">

			<EditText
				android:layout_width="match_parent"
				android:ems="10"
				android:layout_height="64dp"
				android:singleLine="false"
				android:imeOptions="actionDone"
				android:id="@+id/activitymainEditText2"
				style="@style/contentEditBoxStyle"/>

		</LinearLayout>

		<ScrollView
			android:layout_width="match_parent"
			android:layout_height="150dp"
			android:background="#FFDBDBDB">

			<TextView
				android:layout_width="match_parent"
				android:layout_height="wrap_content"
				android:textIsSelectable="true"
				android:id="@+id/activitymainTextView1"
				style="@style/columnTitleStyle"/>

		</ScrollView>

		<LinearLayout
			android:orientation="horizontal"
			android:layout_width="match_parent"
			android:layout_height="65dp"
			android:gravity="center_vertical">

			<LinearLayout
				android:orientation="vertical"
				android:layout_width="0dp"
				android:layout_height="match_parent"
				android:layout_weight="1.0"
				android:background="#FF000000"
				android:id="@+id/activitymainLinearLayout1">

			</LinearLayout>

			<Button
				android:layout_width="40dp"
				android:layout_height="40dp"
				android:text="↻"
				android:onClick="onCleanLog"/>

		</LinearLayout>

		<ScrollView
			android:layout_width="match_parent"
			android:layout_height="0dp"
			android:layout_weight="1.0">

			<LinearLayout
				android:orientation="vertical"
				android:layout_width="match_parent"
				android:layout_height="wrap_content">

				<TextView
					android:layout_width="wrap_content"
					android:layout_height="wrap_content"
					android:id="@+id/activitymainTextView4"
					style="@style/columnTitleStyle"/>

				<LinearLayout
					android:orientation="horizontal"
					android:layout_width="match_parent"
					android:layout_height="wrap_content">

					<Button
						android:layout_width="40dp"
						android:layout_height="40dp"
						android:text="☆"
						android:id="@+id/activitymainButton1"
						android:onClick="onEnableFavorite"/>

					<cc.winboll.studio.regexputils.URLEditText
						android:layout_width="0dp"
						android:ems="10"
						android:layout_height="wrap_content"
						android:singleLine="true"
						android:imeOptions="actionDone"
						android:id="@+id/activitymainURLEditText1"
						android:layout_weight="1.0"/>

					<Button
						android:layout_width="40dp"
						android:layout_height="40dp"
						android:text="▼"
						android:onClick="onShowFavoriteList"/>

					<Button
						android:layout_width="40dp"
						android:layout_height="40dp"
						android:text="→"
						android:onClick="onGoto"/>

				</LinearLayout>

				<WebView
					android:layout_width="match_parent"
					android:layout_height="wrap_content"
					android:id="@+id/activitymainWebView1"/>

			</LinearLayout>

		</ScrollView>

	</LinearLayout>

</LinearLayout>

